// ======================================================================
// etl_bergen_v1 shader
// 2018 Cedric 'keMoN' E.
// http://www.etlegacy.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================

// === V1 ROCKET BY FIREFLY ===
models/mapobjects/v1/v1rocket
{
	{
		map textures/effects/envmap_ice2.tga
		rgbGen lightingdiffuse
		tcGen environment
	}
	{
		map models/mapobjects/v1/v1rocket.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingdiffuse
	}	
}

models/mapobjects/v1/v1rocket_fade
{
	nomipmaps
	nopicmip
	{
		map models/mapobjects/v1/v1rocket.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.5 0.45 0 0.2
	}
}

textures/decals/one
{
	polygonOffset
	entityMergable
	{
		map textures/decals/one.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/decals/two
{
	polygonOffset
	entityMergable
	{
		map textures/decals/two.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/decals/three
{
	polygonOffset
	entityMergable
	{
		map textures/decals/three.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/sfx/xflame2_1750_nolick
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 3000
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

// === METER HAND BY DETOENI ===
textures/props_etl/meter_hand
{
	qer_alphafunc greater 0.5
	qer_editorimage textures/props_etl/meter_hand.tga
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	implicitMask -

}

// === GENERATOR LIGHTS ===
textures/etl_bergen/lights_neutral
{
	qer_editorimage textures/lights/light_tp_m05.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_bergen/lights_red
{
	qer_editorimage textures/lights/light_tp_m07.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_bergen/lights_green
{
	qer_editorimage textures/lights/light_tp_m06.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

// === RTCW LIGHTS ===
textures/lights/light_tp_m05
{
	qer_editorimage textures/lights/light_tp_m05.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lights/light_tp_m06
{
	qer_editorimage textures/lights/light_tp_m06.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/lights/light_tp_m07
{
	qer_editorimage textures/lights/light_tp_m07.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

// === TREES ===
textures/etl_bergen/tree1_dark	//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/etl_bergen/tree1_med		//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/etl_bergen/tree1_light	//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

// === FOG ===
textures/etl_bergen/fog
{
    qer_editorimage textures/sfx/fog_grey1.tga
    
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm fog
    
    fogparms ( 0.3 0.31 0.35 ) 7000
}

// === SKY ===
textures/etl_bergen/sky
{
    nocompress
    qer_editorimage textures/editor/sky.tga
 
    // q3map_lightrgb 0.8 0.9 1.0
    // q3map_sunExt 1 .96 .87 140 140 8 1 16
	q3map_sunExt 0.8 0.9 1.0 50 60 45 1 16
	q3map_sun 0.8 0.9 1.0 0 60 45
    // q3map_skylight 160 3
    q3map_nofog
	
	// q3map_lightrgb 0.8 0.9 1.0
	// q3map_sun 1 .96 .87 140 140 8
	q3map_skylight 140 5
   
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodlight
    surfaceparm sky
   
    skyparms textures/skies_sd/wurzburg_env/sky 512 -
	sunshader textures/etl_bergen/sun
    nofog

    {  
        fog off
        map textures/skies_sd/battery_clouds.tga
        tcMod scale 2.5 2.5
        tcMod scroll 0.0015 -0.003
        rgbGen identityLighting
    }
 
    {
        fog off
        clampmap textures/skies_sd/battery_mask_ydnar.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scale 0.956 0.956
        tcMod transform 1 0 0 1 -1 -1
        rgbGen const ( 0.4 0.4 0.4 )
    }
}

textures/etl_bergen/sun
{
	cull none
	q3map_nofog
	nofog
	{
		map textures/skies_sd/batterysunfog.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

// === WATER ===
textures/etl_bergen/water
{
	qer_editorimage textures/editor/water1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaGen const 0.75
	cull none
	{ 
		//Primary 1
		map textures/liquids_sd/seawall_foam.tga
		blendFunc blend
		alphaGen vertex //const 0.75
		rgbGen identity
		tcmod turb 0 0.02 0 0.30
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		//Secondary
		map textures/liquids_sd/sea_bright_na.tga
		blendFunc blend
		alphaGen vertex
		// rgbgen wave sin 0.5 0.1 0.6 0.3
		rgbGen identity
		tcMod scale 3 3
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendfunc gl_src_alpha gl_one
		alphagen oneminusvertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcMod scale 3 3
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		// depthwrite
	}
	{
		map $lightmap
		// blendFunc filter
		blendFunc GL_DST_COLOR GL_ZERO
		// depthwrite
		rgbGen identity
	}
}

// === TERRAIN ===
textures/etl_bergen/grass
{
	qer_editorimage textures/editor/grass.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm grasssteps
	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/grass_dense1.tga
		rgbGen identity
	}
	{
		// Primary 2
		map textures/temperate_sd/master_grass_dirt3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen Vertex
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/dirt3.tga	
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/road
{
	qer_editorimage textures/editor/gravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/dirt_m03icmp_brown.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/temperate_sd/dirt3.tga	
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/courtyard
{
	qer_editorimage textures/editor/other.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 90
	// q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm gravelsteps
	{
		// Primary 1
		map textures/temperate_sd/dirt_m03icmp_brown.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/miltary_wall/concrete_c07bcmp.tga	
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
		// tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/riverbed
{
	qer_editorimage textures/editor/sand.tga
	
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	// surfaceparm gravelsteps
	surfaceparm grasssteps
	surfaceparm landmine
	{
		map textures/temperate_sd/rocky_sand.tga		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/dirt3.tga			// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
//		tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/rockZ
{
	qer_editorimage textures/editor/shaderZ.tga
	
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/rock_ugly_brown.tga		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/dirt3.tga		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
//		tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/rockX
{
	qer_editorimage textures/editor/shaderX.tga
	
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/rock_ugly_brown.tga		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/dirt3.tga		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
//		tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/etl_bergen/rockY
{
	qer_editorimage textures/editor/shaderY.tga
	
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_tcGen ivector ( 0 0 256 ) ( 256 0 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/rock_ugly_brown.tga		// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/dirt3.tga		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		// alphaFunc GE128
		rgbGen identity
		alphaGen vertex
//		tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// === NOCLIP METAL ===
textures/xlab_wall/xmetal_c03_noclip
{
	qer_editorimage textures/xlab_wall/xmetal_c03.tga
	surfaceparm nonsolid
	implicitMap textures/xlab_wall/xmetal_c03
}

textures/metal_misc/metal_m04dr2_noclip
{
	qer_editorimage textures/metal_misc/metal_m04dr2.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/metal_m04dr2
}

textures/metal_misc/ametal_m04a_noclip
{
	qer_editorimage textures/metal_misc/ametal_m04a.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/ametal_m04a
}

textures/metal_misc/metal_m03_noclip
{
	qer_editorimage textures/metal_misc/metal_m03.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/metal_m03
}

// === TRANSMITTER ===
models/etl_bergen/floor_model
{
	qer_editorimage textures/awf/floor_m4.tga
	{
		map textures/awf/floor_m4.tga
		rgbGen lightingDiffuse
	}

}
models/etl_bergen/trim_model
{
	qer_editorimage textures/battery_wall/metal_trim1.tga
	cull disable

	{
		map textures/battery_wall/metal_trim1.tga
		rgbGen lightingDiffuse
	}

}

models/etl_bergen/trim_cull_model
{
	qer_editorimage textures/battery_wall/metal_trim1.tga
	{
		map textures/battery_wall/metal_trim1.tga
		rgbGen lightingDiffuse
	}
}

models/etl_bergen/truss_model
{
	qer_alphafunc greater 0.5
	qer_editorimage textures/alpha/truss_m06a.tga
	cull disable
	sort seethrough
	surfaceparm trans
	surfaceparm nomarks
	implicitMask textures/alpha/truss_m06a.tga
}

// === COMMAND MAP ===
levelshots/etl_bergen_v1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps	 
  	{
		clampmap levelshots/etl_bergen_v1_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/etl_bergen_v1_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/etl_bergen_v1_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}